package com.unis.base.server.service;

import com.unis.base.common.vo.*;
import com.unis.base.server.entity.*;

import java.util.List;

public interface FacilityService {

    //设备报废记录
    List<DsbbfxxVO> findFacility(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize, Integer lx);

    //设备报废记录详情
    MachineVO findFacilityById(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize);

    //设备维护分页
    List<DsbwhxxVO> findVindicate(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize, Integer lx);

    //设备维护详情
    MachineVO findVindicateById(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize);

    //设备维修分页
    List<DSbwxxxVO> findMaintain(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize, Integer lx);

    //设备维修详情
    MachineVO findMaintainById(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize);

    //设备领用
    List<DsblyxxVO> findReceive(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize, Integer lx);

    //设备领用详情
    MachineVO findReceiveById(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize);

    //设备入库
    List<DSbxxsjyVO> findStorage(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize, Integer lx);

    //设备入库详情
    MachineVO findStorageById(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize);

    //设备申购分页
    List<DSbsgxxVO> findPurchase(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize, Integer lx);

    //设备申购详情
    MachineVO findPurchaseById(DSbxxsjyQueryVO vo, Integer pageNum, Integer pageSize);


    //机械设备统计分析
    List<DSbtjfxVO> findSbtjfx(DSbtjfxVO vo, Integer pageNum, Integer pageSize, Integer lx);
}
